#!/usr/bin/env python
# -*- encoding: utf-8 -*-
"""
@Contact :   liuyuqi.gov@msn.cn
@Time    :   2024/04/09 20:20:35
@License :   Copyright © 2017-2022 liuyuqi. All Rights Reserved.
@Desc    :   admin
"""

from flask import Blueprint, request, jsonify
from fgh.utils import get_admin_token

admin = Blueprint('admin', __name__, url_prefix='/admin')

@admin.route('/', methods=['POST'])
def _admin():
    if request.method == 'POST':
        data = request.get_json()
        if data.get('token') == get_admin_token():
            return jsonify({'msg': 'success'})
        else:
            return jsonify({'msg': 'fail'})
    return jsonify({'msg': 'fail'})

@admin.route('/login')
def _login():
    if request.method == 'GET':
        return jsonify({'msg': 'login success'})
    elif request.method == 'POST':
        return jsonify({'msg': 'login fail'})

@admin.route('/logout')
def logout():
    return jsonify({'msg': 'logout success'})

@admin.route('/register')
def register():
    return jsonify({'msg': 'register success'})

@admin.route('/user')
def user():
    return jsonify({'msg': 'user success'})

@admin.route('/user/<int:id>')
def user_id():
    return jsonify({'msg': 'user success'})

@admin.route('/user/<int:id>/delete')
def delete_user():
    return jsonify({'msg': 'delete user success'})

@admin.route('/user/<int:id>/update')
def update_user():
    return jsonify({'msg': 'update user success'})


@admin.route('/repo')
def repo():
    return jsonify({'msg': 'repo success'})