#!/usr/bin/env python
# -*- encoding: utf-8 -*-
"""
@Contact :   liuyuqi.gov@msn.cn
@Time    :   2024/04/09 20:38:55
@License :   Copyright © 2017-2022 liuyuqi. All Rights Reserved.
@Desc    :   repo
"""
from fgh import db

class RepoModel(db.Model):
    """ repo model """
    __tablename__ = 'repo'
    id = db.Column(db.Integer, primary_key=True)
    name = db.Column(db.String(64))
    description = db.Column(db.String(256))
    create_time = db.Column(db.DateTime)
    update_time = db.Column(db.DateTime)
    user_id = db.Column(db.Integer, db.ForeignKey('user.id'))
    user = db.relationship('UserModel', backref=db.backref('repo', lazy=True))

    def __repr__(self):
        return '<RepoModel %r>' % self.name